# --------------------------------------------------------------------
# Options relating to all versions of NetSurf
# --------------------------------------------------------------------

# Enable NetSurf's use of libnsbmp for displaying BMPs and ICOs
# Valid options: YES, NO
NETSURF_USE_BMP := YES

# Enable NetSurf's use of libnsgif for displaying GIFs
# Valid options: YES, NO (YES is highly recommended)
NETSURF_USE_GIF := YES

# Enable NetSurf's use of libjpeg for displaying JPEGs
# Valid options: YES, NO (YES is highly recommended)
NETSURF_USE_JPEG := YES

# Enable NetSurf's use of libpng for displaying PNGs.  If MNG and PNG
# are both enabled then NetSurf will choose libpng for PNGs, leaving
# MNGs and JNGs to libmng.
# Valid options: YES, NO (at least one of PNG/MNG highly recommended)
NETSURF_USE_PNG := YES

# Enable NetSurf's use of libmng for displaying MNGs, JNGs and PNGs
# Valid options: YES, NO (at least one of PNG/MNG highly recommended)
NETSURF_USE_MNG := YES

# Enable NetSurf's use of libwebp for displaying WebPs
# Valid options: YES, NO
NETSURF_USE_WEBP := NO

# Enable NetSurf's use of gstreamer for displaying videos
# Valid options: YES, NO
NETSURF_USE_VIDEO := NO

# Enable NetSurf's use of spidermonkey for javascript
# Valid options: YES, NO
NETSURF_USE_JS := NO

# Enable NetSurf's use of libharu for PDF export and GTK printing support.
# There is no auto-detection available for this, as it does not have a
# pkg-config file.
# Valid options: YES, NO
NETSURF_USE_HARU_PDF := NO

# Enable stripping the NetSurf binary
# Valid options: YES, NO
NETSURF_STRIP_BINARY := YES

# Template used for constructing the User Agent: string.  The first two
# replacements are major/minor version, second two are OS and architecture.
NETSURF_UA_FORMAT_STRING := "NetSurf/%d.%d (%s; %s)"

# Default home page, if one is not defined by the user.  Note that this
# option does not apply to the RISC OS version, as it has its own local
# home page, and it can be changed by editing the end of gui_init2() in
# riscos/gui.c
NETSURF_HOMEPAGE := "http://127.0.0.1:5500/"

# Force using glibc internal iconv implementation instead of external
# libiconv
# Valid options: YES, NO
NETSURF_USE_LIBICONV_PLUG := YES

# Default installation/execution prefix
PREFIX = __META_PREFIX__

# --------------------------------------------------------------------
# GTK-specific options
# --------------------------------------------------------------------

ifeq ($(TARGET),gtk)

  # Where to search for NetSurf's resources after looking in ~/.netsurf and
  # $NETSURFRES.  It must have a trailing /
  NETSURF_GTK_RESOURCES := $(PREFIX)/share/netsurf/

  # Where to install the netsurf binary
  NETSURF_GTK_BIN := $(PREFIX)/bin/

  # Enable NetSurf's use of librsvg in conjunction with Cairo to display SVGs
  # Valid options: YES, NO, AUTO
  NETSURF_USE_RSVG := YES

  # Enable NetSurf's use of libsvgtiny for displaying SVGs
  # Valid options: YES, NO, AUTO
  NETSURF_USE_NSSVG := NO

  # Enable NetSurf's use of librosprite for displaying RISC OS Sprites
  # Valid options: YES, NO, AUTO
  NETSURF_USE_ROSPRITE := AUTO

  # Configuration overrides for Mac OS X
  ifeq ($(HOST),macosx)
    NETSURF_USE_LIBICONV_PLUG := NO
    NETSURF_USE_HARU_PDF := NO
  endif
endif
